# org.pdfclown.documents.contents.objects.PaintPath Class Reference

Path-painting operation [PDF:1.6:4.4.2]. More...

Inheritance diagram for org.pdfclown.documents.contents.objects.PaintPath:

List of all members.

## Public Member Functions
override void | Scan (ContentScanner.GraphicsState state)
| Applies this object to the specified graphics context, updating the specified graphics state.
override string | ToString ()
override void | WriteTo (IOutputStream stream, Document context)
| Serializes this object to the specified stream.
## Static Public Member Functions
static Operation | Get (string operator_, IList< PdfDirectObject > operands)
| Gets an operation.
## Public Attributes
const string | CloseFillStrokeEvenOddOperatorKeyword = "b*"
const string | CloseFillStrokeOperatorKeyword = "b"
const string | CloseStrokeOperatorKeyword = "s"
const string | EndPathNoOpOperatorKeyword = "n"
const string | FillEvenOddOperatorKeyword = "f*"
const string | FillObsoleteOperatorKeyword = "F"
const string | FillOperatorKeyword = "f"
const string | FillStrokeEvenOddOperatorKeyword = "B*"
const string | FillStrokeOperatorKeyword = "B"
const string | StrokeOperatorKeyword = "S"
## Static Public Attributes
static readonly PaintPath | CloseFillStroke = new PaintPath(CloseFillStrokeOperatorKeyword, true, true, true, WindModeEnum.NonZero)
| 'Close, fill, and then stroke the path, using the nonzero winding number rule to determine the region to fill' operation.
static readonly PaintPath | CloseFillStrokeEvenOdd = new PaintPath(CloseFillStrokeEvenOddOperatorKeyword, true, true, true, WindModeEnum.EvenOdd)
| 'Close, fill, and then stroke the path, using the even-odd rule to determine the region to fill' operation.
static readonly PaintPath | CloseStroke = new PaintPath(CloseStrokeOperatorKeyword, true, true, false, null)
| 'Close and stroke the path' operation.
static readonly PaintPath | EndPathNoOp = new PaintPath(EndPathNoOpOperatorKeyword, false, false, false, null)
| 'End the path object without filling or stroking it' operation.
static readonly PaintPath | Fill = new PaintPath(FillOperatorKeyword, false, false, true, WindModeEnum.NonZero)
| 'Fill the path, using the nonzero winding number rule to determine the region to fill' operation.
static readonly PaintPath | FillEvenOdd = new PaintPath(FillEvenOddOperatorKeyword, false, false, true, WindModeEnum.EvenOdd)
| 'Fill the path, using the even-odd rule to determine the region to fill' operation.
static readonly PaintPath | FillStroke = new PaintPath(FillStrokeOperatorKeyword, false, true, true, WindModeEnum.NonZero)
| 'Fill and then stroke the path, using the nonzero winding number rule to determine the region to fill' operation.
static readonly PaintPath | FillStrokeEvenOdd = new PaintPath(FillStrokeEvenOddOperatorKeyword, false, true, true, WindModeEnum.EvenOdd)
| 'Fill and then stroke the path, using the even-odd rule to determine the region to fill' operation.
static readonly PaintPath | Stroke = new PaintPath(StrokeOperatorKeyword, false, true, false, null)
| 'Stroke the path' operation.
## Protected Attributes
IList< PdfDirectObject > | operands
string | operator_
## Properties
bool | Closed`[get]`
| Gets whether the current path has to be closed.
bool | Filled`[get]`
| Gets whether the current path has to be filled.
WindModeEnum | FillMode`[get]`
| Gets the filling rule.
IList< PdfDirectObject > | Operands`[get]`
string | Operator`[get]`
bool | Stroked`[get]`
| Gets whether the current path has to be stroked.

##

Path-painting operation [PDF:1.6:4.4.2].

## Member Function Documentation

static Operation org.pdfclown.documents.contents.objects.Operation.Get | ( | string | operator_,
|  | IList< PdfDirectObject > | operands |
| ) |  |  | `[static, inherited]`

Gets an operation.

Parameters:

  | operator_ | Operator.
  | operands | List of operands.

override void org.pdfclown.documents.contents.objects.PaintPath.Scan | ( | ContentScanner.GraphicsState | state | ) | `[virtual]`

Applies this object to the specified graphics context, updating the specified graphics state.

Parameters:

  | state | Graphics state.

Reimplemented from org.pdfclown.documents.contents.objects.ContentObject.

References org.pdfclown.documents.contents.ContentScanner.RenderContext, and org.pdfclown.documents.contents.ContentScanner.RenderObject.

override string org.pdfclown.documents.contents.objects.Operation.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.documents.contents.objects.Operation.WriteTo | ( | IOutputStream | stream,
|  | Document | context |
| ) |  |  | `[virtual, inherited]`

Serializes this object to the specified stream.

Parameters:

  | stream | Target stream.
  | context | Document context.

Implements org.pdfclown.documents.contents.objects.ContentObject.

Reimplemented in org.pdfclown.documents.contents.objects.InlineImageBody.

References org.pdfclown.objects.PdfObjectWrapper.File, and org.pdfclown.bytes.IOutputStream.Write().

Referenced by org.pdfclown.documents.contents.objects.MarkedContent.WriteTo().

## Member Data Documentation

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.CloseFillStroke = new PaintPath(CloseFillStrokeOperatorKeyword, true, true, true, WindModeEnum.NonZero)`[static]`

'Close, fill, and then stroke the path, using the nonzero winding number rule to determine the region to fill' operation.

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.CloseFillStrokeEvenOdd = new PaintPath(CloseFillStrokeEvenOddOperatorKeyword, true, true, true, WindModeEnum.EvenOdd)`[static]`

'Close, fill, and then stroke the path, using the even-odd rule to determine the region to fill' operation.

const string org.pdfclown.documents.contents.objects.PaintPath.CloseFillStrokeEvenOddOperatorKeyword = "b*"

const string org.pdfclown.documents.contents.objects.PaintPath.CloseFillStrokeOperatorKeyword = "b"

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.CloseStroke = new PaintPath(CloseStrokeOperatorKeyword, true, true, false, null)`[static]`

'Close and stroke the path' operation.

const string org.pdfclown.documents.contents.objects.PaintPath.CloseStrokeOperatorKeyword = "s"

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.EndPathNoOp = new PaintPath(EndPathNoOpOperatorKeyword, false, false, false, null)`[static]`

'End the path object without filling or stroking it' operation.

const string org.pdfclown.documents.contents.objects.PaintPath.EndPathNoOpOperatorKeyword = "n"

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.Fill = new PaintPath(FillOperatorKeyword, false, false, true, WindModeEnum.NonZero)`[static]`

'Fill the path, using the nonzero winding number rule to determine the region to fill' operation.

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.FillEvenOdd = new PaintPath(FillEvenOddOperatorKeyword, false, false, true, WindModeEnum.EvenOdd)`[static]`

'Fill the path, using the even-odd rule to determine the region to fill' operation.

const string org.pdfclown.documents.contents.objects.PaintPath.FillEvenOddOperatorKeyword = "f*"

const string org.pdfclown.documents.contents.objects.PaintPath.FillObsoleteOperatorKeyword = "F"

const string org.pdfclown.documents.contents.objects.PaintPath.FillOperatorKeyword = "f"

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.FillStroke = new PaintPath(FillStrokeOperatorKeyword, false, true, true, WindModeEnum.NonZero)`[static]`

'Fill and then stroke the path, using the nonzero winding number rule to determine the region to fill' operation.

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.FillStrokeEvenOdd = new PaintPath(FillStrokeEvenOddOperatorKeyword, false, true, true, WindModeEnum.EvenOdd)`[static]`

'Fill and then stroke the path, using the even-odd rule to determine the region to fill' operation.

const string org.pdfclown.documents.contents.objects.PaintPath.FillStrokeEvenOddOperatorKeyword = "B*"

const string org.pdfclown.documents.contents.objects.PaintPath.FillStrokeOperatorKeyword = "B"

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.operands`[protected, inherited]`

string org.pdfclown.documents.contents.objects.Operation.operator_`[protected, inherited]`

readonly PaintPath org.pdfclown.documents.contents.objects.PaintPath.Stroke = new PaintPath(StrokeOperatorKeyword, false, true, false, null)`[static]`

'Stroke the path' operation.

const string org.pdfclown.documents.contents.objects.PaintPath.StrokeOperatorKeyword = "S"

## Property Documentation

bool org.pdfclown.documents.contents.objects.PaintPath.Closed`[get]`

Gets whether the current path has to be closed.

bool org.pdfclown.documents.contents.objects.PaintPath.Filled`[get]`

Gets whether the current path has to be filled.

WindModeEnum org.pdfclown.documents.contents.objects.PaintPath.FillMode`[get]`

Gets the filling rule.

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.Operands`[get, inherited]`

string org.pdfclown.documents.contents.objects.Operation.Operator`[get, inherited]`

bool org.pdfclown.documents.contents.objects.PaintPath.Stroked`[get]`

Gets whether the current path has to be stroked.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.